### Function

# Msg InputStream send_async

#### Declaration [src]

    void
    msg_input_stream_send_async (
      GInputStream* stream,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously sends the HTTP request associated with `stream`, and reads the response headers. Call this after `msg_input_stream_new()` and before the first `g_input_stream_read_async()` if you want to check the HTTP status code before you start reading.

#### Parameters

`stream`

  Type: `GInputStream`

  A `MsgInputStream`.

  The data is owned by the caller of the function.

`io_priority`

  Type: `int`

  The io priority of the request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when the request is satisfied.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.